%define major 4
%define libname %mklibname musicbrainz %{major}
%define develname %mklibname -d musicbrainz

Name:		libmusicbrainz
Version:	2.1.5
Release:	%mkrel 12
Summary:	A software library for accesing MusicBrainz servers
Source:		http://ftp.musicbrainz.org/pub/musicbrainz/%{name}-%{version}.tar.bz2
Patch0:		musicbrainz-2.1.5-gcc43-includes.patch
URL:		http://www.musicbrainz.org
Group:		System/Libraries
License:	LGPLv2+
BuildRequires:	libexpat-devel >= 2.0.1
BuildRequires:	autoconf2.5 >= 2.58

%description
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package -n %{libname}
Summary:	A software library for accesing MusicBrainz servers
Group:		System/Libraries

%description -n %{libname}
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package -n %develname
Summary:	Headers for developing programs that will use libmusicbrainz
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	musicbrainz-devel = %{version}-%{release}

%description -n	%develname
This package contains the headers that programmers will need to develop
applications which will use libmusicbrainz.


%prep
%setup -q
%patch0 -p1

%build
%configure2_5x
%make

%install
%makeinstall_std

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog README TODO INSTALL
%{_libdir}/*.so.%{major}*

%files -n %develname
%{_includedir}/musicbrainz
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Fri Oct 25 2013 wally <wally> 2.1.5-12.mga4
+ Revision: 546930
- don't obsolete musicbrainz4 devel pkg

* Fri Oct 18 2013 umeabot <umeabot> 2.1.5-11.mga4
+ Revision: 507250
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.1.5-10.mga3
+ Revision: 357810
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 2.1.5-9.mga3
+ Revision: 323418
- clean spec
- fix rpm group

* Mon Apr 02 2012 pterjan <pterjan> 2.1.5-8.mga2
+ Revision: 227764
- Rebuild after libexpat.la removal

* Thu Jan 20 2011 ahmad <ahmad> 2.1.5-7.mga1
+ Revision: 25628
- imported package libmusicbrainz


* Fri Sep 03 2010 Götz Waschk <waschk@mandriva.org> 2.1.5-7mdv2011.0
+ Revision: 575682
- revert to 2.1.5
- update license

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt for 2010.1

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream version required by amarok

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.1.5-6mdv2010.0
+ Revision: 425623
- rebuild

* Tue Jan 13 2009 Götz Waschk <waschk@mandriva.org> 2.1.5-5mdv2009.1
+ Revision: 329014
- continue renaming of the package
- disable python binding

  + Helio Chissini de Castro <helio@mandriva.com>
    - Moving to proper name

* Mon Aug 18 2008 Emmanuel Andry <eandry@mandriva.org> 2.1.5-4mdv2009.0
+ Revision: 273419
- fix gcc4.3 build with P0 from gentoo

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 23 2007 Götz Waschk <waschk@mandriva.org> 2.1.5-3mdv2008.1
+ Revision: 101462
- new devel name

* Thu Jun 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.5-3mdv2008.0
+ Revision: 36910
- rebuild for expat

* Sun May 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.5-2mdv2008.0
+ Revision: 31795
- fix bug #31051

* Fri May 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.5-1mdv2008.0
+ Revision: 31018
- new upstream version
- drop Patch0 (merged upstream)
- spec file clean

